<?php
/**
 * @version		$Id: index.php 21720 2011-07-01 08:31:15Z chdemko $
 * @package		Joomla.Site
 * @copyright	Copyright (C) vi-solutions. All rights reserved.
 * @license		GNU General Public License version 2 or later;
 */

defined('_JEXEC') or die;

$modulesleft = ($this->countModules('position-4') or $this->countModules('position-7') or $this->countModules('position-5'));
$modulesright = ($this->countModules('position-3') or $this->countModules('position-6') or $this->countModules('position-8'));
$modulestop = ($this->countModules('user1') or $this->countModules('user2'));
$modulesbottom = $this->countModules('position-10');
$textbox = $this->params->get( 'textbox' );
$minwidth = $this->params->get( 'minwidth' );
$showCopyRight = $this->params->get('showcopyright');
?>
<!DOCTYPE html>
<html>
	<head>
	<meta name="author" content="Aicha Vack" />
	<jdoc:include type="head" />

	<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_css.css" rel="stylesheet" type="text/css" />
	<!--[if IE 7]><link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template.ie7.css" type="text/css"/><![endif]-->
	</head>
	<body>
		<!-- give page a width in percent, a min-width and center it, position the background image -->
		
		<div id="page-wrapper-out"<?php if ($minwidth > 720) { echo ' style="min-width: ' . $minwidth . 'px"';}?>>
			<div id="login-top">
				<jdoc:include type="modules" name="position-13" style="none" />
			</div>
			<div id="topmenu" class="simple-menu">
				<jdoc:include type="modules" name="position-1" style="none" />
			</div>
			<div id="page-wrapper">
			<!-- wrapper for rounded corners and ie6 png fix (no longer used) filter was used as fix for ie6-->
				<div id="inner-page-wrapper" class="filter">
					<div id="ie-png-corner-top-left"><!-- --></div>
					<div id="ie-png-corner-top-right"><!-- --></div>
					<div id="ie-png-corner-bottom-left"><!-- --></div>
					<div id="ie-png-corner-bottom-right"><!-- --></div>
					<!-- end of wrapper for rounded corners and ie6 png fix -->
					<div id="page-container-out">
						<div id="page-top">
							<div id="logo"><a href="<?php echo $this->baseurl ?>"><?php echo $textbox; ?></a></div>
						</div>
						<div id="breadcrumbs">
							<!-- --><jdoc:include type="modules" name="position-0" style="none" /><jdoc:include type="modules" name="position-2" style="none" />
						</div>
						<div id="page-container-in">
							<?php if ($modulesleft) { ?>
								<div id="modules-left">
									<jdoc:include type="modules" name="position-4" style="xhtml" />
									<jdoc:include type="modules" name="position-5" style="xhtml" />
									<jdoc:include type="modules" name="position-7" style="xhtml" />
								</div>
							<?php } 
							if ($modulesright) {?>
								<div id="modules-right">
									<jdoc:include type="modules" name="position-3" style="xhtml" />
									<jdoc:include type="modules" name="position-6" style="xhtml" />
									<jdoc:include type="modules" name="position-8" style="xhtml" />
								</div>
							<?php } ?>
							<?php if ($modulesright) { 
								if ($modulesleft) { ?>
									<div id="content-small">
								<?php } else { ?>
									<div id="content-m">
								<?php }}
								else if ($modulesleft) {?>
									<div id="content-m">
								<?php } else { ?>
									<div id="content">
								<?php }?>
								<?php if ($modulestop > 0) { ?>
									<div id="content-mt">
										<div id="content-mt-left">
											<jdoc:include type="modules" name="user1" style="xhtml" />
										</div>
										<div id="content-mt-right">
											<jdoc:include type="modules" name="user2" style="xhtml" />
										</div>
										<div class="clr line"><!-- --></div>
									</div>
								<?php } ?>
								<?php if ($this->getBuffer('message')) { ?>
									<div id="message_out">
										<jdoc:include type="message" />
									</div>
								<?php } ?>
								<jdoc:include type="component" />
							</div>
							
							<?php if (! ($modulesbottom < 1)) { ?>
								<div id="modules-bottom" class="clr">
									<div id="modules-bottom-in"><jdoc:include type="modules" name="position-10" style="width" />
										<div class="clr"><!-- --></div>
									</div>
								</div>
								
							<?php } ?>
							<div class="clr"><!-- --></div>
						</div>
					</div>
				</div>
			</div>
			<div id="footer-out">
				<div id="footer-wrapper-ie7">
					<?php if (!$showCopyRight) { ?>
						<div id="vis-wrapper"><span id="vis"> Design by: <a target="_blank" href="http://www.vi-solutions.de" title="Webdesign Webentwicklung Joomla Templates">www.vi-solutions.de</a></span></div>
					<?php } ?>
						<div id="copy">
							<jdoc:include type="modules" name="footerload" />
						</div>
				</div>
			</div>
			<div id="footer-nav" class="simple-menu"><jdoc:include type="modules" name="footer-nav" style="none" /></div>
		</div>
	</body>
</html>